summaryrefslogtreecommitdiff
path: root/.pik/install.sh
diff options
context:
space:
mode:
Diffstat (limited to '.pik/install.sh')
-rw-r--r--.pik/install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.pik/install.sh b/.pik/install.sh
new file mode 100644
index 0000000..117fcc6
--- /dev/null
+++ b/.pik/install.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+# install pik to ~/.local/bin
+set -euo pipefail
+DEST_FOLDER="$HOME/.local/bin"
+if [ ! -d "$DEST_FOLDER" ] ; then
+ echo "I only know how to install to ~/.local/bin, sorry!"
+fi
+DEST="$DEST_FOLDER/pik"
+if [ -f "$DEST" ] ; then
+ rm "$DEST"
+fi
+
+go build -o "$DEST" "$@" .
+echo "congratulations!" \ No newline at end of file